Skip to main content
GET
/
api2
/
v1
/
projects
/
{projectUid}
/
jobs
/
{jobUid}
/
workflowStep
Get job's workflowStep
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/{jobUid}/workflowStep \
  --header 'Authorization: <api-key>'
{
  "abbreviation": "<string>",
  "id": 123,
  "lqaProfileUid": "<string>",
  "name": "<string>",
  "workflowLevel": 123,
  "workflowStep": {}
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required
jobUid
string
required

Response

successful operation

abbreviation
string

Abbreviation of the workflow step

id
integer<int64>

Project-specific step ID; use this for user assignments, not the global workflow step ID

lqaProfileUid
string

UID of the LQA profile assigned to this step; null if none assigned

name
string

Name of the workflow step

workflowLevel
integer<int32>

Position of the workflow step within the project (1-based)

workflowStep
object